
Infrastructure - Task #1459

Story # 1458 (Closed): Ensure update() API implementation is consistent across MNs and libs

ensure that d1_libcommon_java update() method matches the documentation

2011-04-05 02:09 - Dave Vieglais

Status: Closed Start date: 2011-04-05

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.18-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

Documentation of the update() method was changed recently to have the existing PID in the URL and the newPID in the message

body.

History

#1 - 2011-04-05 22:10 - Rob Nahf

http://mule1.dataone.org/ArchitectureDocs-current/apis/MN_APIs.html#MN_storage.update

#2 - 2011-04-06 19:28 - Rob Nahf

- Status changed from New to Closed

updated the method within the MNcrud api.  Did not reorganize the api itself.  Also updated the CNcrud.update interface

(to match the MNcrud method), but this method is probably going away in the near future.

Updated d1_libclient_java MNode.update() and CNode.update() methods, to match new interface definition.
